> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /dc/companies/search

> Search Washington DC business entities in the DLCP CorpOnline registry by name, trade name or Initial File No., with optional filters for entity type, status, election sub-type, registered agent name, principal name, filing number and effective-date range. Returns matching entities with business GUID, Initial File No., name, legal form, status, effective date, contact email and phone, registered agent name and street address.

**Price:** 10 credits per 100 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/dc/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/dc/companies/search:
    post:
      tags:
        - US
      summary: /dc/companies/search
      description: >-
        Search Washington DC business entities in the DLCP CorpOnline registry
        by name, trade name or Initial File No., with optional filters for
        entity type, status, election sub-type, registered agent name, principal
        name, filing number and effective-date range. Returns matching entities
        with business GUID, Initial File No., name, legal form, status,
        effective date, contact email and phone, registered agent name and
        street address.


        **Price:** 10 credits per 100 results
      operationId: __api_dc_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DcCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DcCompanySearchItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DcCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        name:
          anyOf:
            - type: string
            - type: 'null'
        match:
          $ref: '#/components/schemas/DcSearchType'
          default: contains
        entity_type:
          anyOf:
            - $ref: '#/components/schemas/DcEntityType'
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/DcEntityStatus'
            - type: 'null'
        election_type:
          anyOf:
            - $ref: '#/components/schemas/DcElectionType'
            - type: 'null'
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
        principal_name:
          anyOf:
            - type: string
            - type: 'null'
        filing_number:
          anyOf:
            - type: string
            - type: 'null'
        formation_start_date:
          anyOf:
            - type: string
            - type: 'null'
        formation_end_date:
          anyOf:
            - type: string
            - type: 'null'
        sort_by:
          anyOf:
            - $ref: '#/components/schemas/DcSortBy'
            - type: 'null'
        sort_order:
          $ref: '#/components/schemas/DcSortOrder'
          default: asc
      type: object
      required:
        - count
    DcCompanySearchItem:
      properties:
        '@type':
          type: string
          default: DcCompanySearchItem
        id:
          type: string
        entity_number:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        legal_form:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        effective_date:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
        agent_resigned_date:
          anyOf:
            - type: string
            - type: 'null'
        is_non_filing_trade_name:
          anyOf:
            - type: boolean
            - type: 'null'
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/DcAddress'
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DcSearchType:
      type: string
      enum:
        - starts_with
        - contains
        - exact
    DcEntityType:
      type: string
      enum:
        - domestic_act_of_congress_corporation
        - domestic_business_corporation
        - domestic_general_cooperative_association
        - domestic_limited_cooperative_association
        - domestic_limited_liability_company
        - domestic_limited_liability_partnership
        - domestic_limited_partnership
        - domestic_nonprofit_corporation
        - domestic_statutory_trust
        - foreign_act_of_congress_corporation
        - foreign_business_corporation
        - foreign_general_cooperative_association
        - foreign_limited_cooperative_association
        - foreign_limited_liability_company
        - foreign_limited_liability_partnership
        - foreign_limited_partnership
        - foreign_nonprofit_corporation
        - foreign_statutory_trust
        - name_registration
        - name_reservation
        - non_registered_non_filing_entity
        - trade_name
    DcEntityStatus:
      type: string
      enum:
        - abandoned
        - active_in_good_standing
        - active_in_good_standing_pending_conversion
        - active_in_good_standing_pending_domestication
        - active_in_good_standing_pending_merger
        - active_not_in_good_standing
        - active_pending_expiration
        - active_name_reservation
        - active_trade_name
        - cancelled
        - consolidated
        - converted
        - deprecate
        - dissolved
        - domesticated
        - expired
        - merged
        - not_registered
        - not_registered_pending_biennial_reports
        - pending_active
        - pending_withdrawal
        - redeemed
        - revoked
        - revoked_nonpayment_of_fees
        - terminated
        - transferred
        - withdrawn
    DcElectionType:
      type: string
      enum:
        - professional_corporation
        - benefit_corporation
        - professional_limited_liability_company
        - series_limited_liability_company
        - limited_liability_limited_partnership
        - series_statutory_trust
        - foreign_professional_corporation
        - foreign_benefit_corporation
        - foreign_professional_limited_liability_company
        - foreign_limited_liability_limited_partnership
    DcSortBy:
      type: string
      enum:
        - name
        - effective_date
        - entity_number
        - entity_type
        - address
        - status
        - agent_name
    DcSortOrder:
      type: string
      enum:
        - asc
        - desc
    DcAddress:
      properties:
        '@type':
          type: string
          default: DcAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        street2:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        province:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        county:
          anyOf:
            - type: string
            - type: 'null'
        full:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````